GeoFRED Shape Files
curl --request GET \
--url https://api.aisa.one/apis/v1/geofred/shapes/file \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.aisa.one/apis/v1/geofred/shapes/file"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.aisa.one/apis/v1/geofred/shapes/file', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.aisa.one/apis/v1/geofred/shapes/file",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.aisa.one/apis/v1/geofred/shapes/file"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.aisa.one/apis/v1/geofred/shapes/file")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.aisa.one/apis/v1/geofred/shapes/file")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_bodyFRED
GeoFRED Shape Files
{"methods":[{"methodType":"GET","methodDesc":"Returns shape files from FRED in GeoJSON format.","requestParams":[{"name":"shape","type":"string","required":true,"description":"The type of shape to pull GeoJSON data for. One of: bea, msa, frb, necta, state, country, county, censusregion, censusdivision."}],"responseParams":[{"name":"type","type":"string","description":"GeoJSON type, e.g. FeatureCollection."},{"name":"features","type":"array","description":"Array of GeoJSON Feature objects with geometry and properties."}]}]}
<!-- aisa-pricing:start -->
公开参考价格:每次成功请求 $0.00001 USD。 最终费用以账户适用价格及实际结算为准。
<!-- aisa-pricing:end -->
GET
https://api.aisa.one
/
apis
/
v1
/
geofred
/
shapes
/
file
GeoFRED Shape Files
curl --request GET \
--url https://api.aisa.one/apis/v1/geofred/shapes/file \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.aisa.one/apis/v1/geofred/shapes/file"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.aisa.one/apis/v1/geofred/shapes/file', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.aisa.one/apis/v1/geofred/shapes/file",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.aisa.one/apis/v1/geofred/shapes/file"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.aisa.one/apis/v1/geofred/shapes/file")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.aisa.one/apis/v1/geofred/shapes/file")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body请求规范
- 方法与路径: GET /apis/v1/geofred/shapes/file
- 可用状态: enabled
- 请求 URL 模板: https://api.aisa.one/apis/v1/geofred/shapes/file
- shape: query; 必填
- Runtime 事实版本: 99b84812775a5b511e5b561db33dbfe37ed3954afbc7b30caf10377dcd683c23
{
"operationId": "any_fred_apis_v1_geofred_shapes_file",
"method": "GET",
"path": "/apis/v1/geofred/shapes/file",
"servers": [
{
"url": "https://api.aisa.one"
}
],
"parameters": [
{
"description": "The type of shape you want to pull GeoJSON data for.\nAvailable Shape Types:\nbea (Bureau of Economic Anaylis Region)\nmsa (Metropolitan Statistical Area)\nfrb (Federal Reserve Bank Districts)\nnecta (New England City and Town Area)\nstate\ncountry\ncounty (USA Counties)\ncensusregion (US Census Regions)\ncensusdivision (US Census Divisons)",
"in": "query",
"name": "shape",
"required": true,
"schema": {
"enum": [
"bea",
"msa",
"frb",
"necta",
"state",
"country",
"county",
"censusregion",
"censusdivision"
],
"type": "string"
}
}
],
"security": [
{
"bearerAuth": []
}
],
"x-aisa-status": "enabled",
"x-aisa-pricing": {
"cost_contract": "fixed_success",
"customer_pricing": "fixed_success",
"default_request_estimate_usd": 1e-05,
"estimate_source": "profile_seed",
"evidence_source": "request_snapshot"
},
"components": {
"securitySchemes": {
"bearerAuth": {
"scheme": "bearer",
"type": "http"
}
}
}
}
费用与请求规则
公开参考价格:每次成功请求 $0.00001 USD。 最终费用以账户适用价格及实际结算为准。 公开参考值不是你的账户报价或最终扣费。对于支持 X-AISA-Cost-Mode: quote 的接口,执行前请针对完整请求获取免费报价;执行后通过响应费用元数据和 Usage Logs 核对结算费用。1 USD 等于 1,000,000 个整数 micro-USD。- 默认请求参考估价(USD): 1e-05
- 计费依据: fixed_success
- 结算证据来源: request_snapshot
授权
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
查询参数
The type of shape you want to pull GeoJSON data for. Available Shape Types: bea (Bureau of Economic Anaylis Region) msa (Metropolitan Statistical Area) frb (Federal Reserve Bank Districts) necta (New England City and Town Area) state country county (USA Counties) censusregion (US Census Regions) censusdivision (US Census Divisons)
可用选项:
bea, msa, frb, necta, state, country, county, censusregion, censusdivision 响应
成功响应